

using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 任务分析人员
    /// </summary>
    [Description("任务分析人员")]
    public class T_HM_TASK_ANALYZE_USER : MesEntityBase
    {

        /// <summary>
        /// 任务识别表
        /// </summary>
        [Description("任务识别表")]
        [DataFieldForeignKey("Nav_TaskAnalyze", "Nav_Users")]
        public Guid TASK_ANALYZE_ID { get; set; }

        /// <summary>
        /// 导航属性：任务识别表
        /// </summary>
        [Description("导航属性：任务识别表")]
        public T_HM_TASK_ANALYZE Nav_TaskAnalyze { get; set; }

        /// <summary>
        /// 人员
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航属性：任务识别表
        /// </summary>
        [Description("导航属性：任务识别表")]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 处理状态（待处理，已同意）
        /// </summary>
        [Description("处理状态")]
        [FormFieldEdit]
        [EnumName("FOUserShiftStatusEnum")]
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

    }
}
